# Uses of Class
javax.swing.JTextField

Packages that use JTextField
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.tree
Provides classes and interfaces for dealing with `javax.swing.JTree`.

## Uses of JTextField in javax.swing

Subclasses of JTextField in javax.swing
Modifier and Type
Class
Description
`class`
`JFormattedTextField`
`JFormattedTextField` extends `JTextField` adding support for formatting arbitrary values, as well as retrieving a particular object once the user has edited the text.
`class`
`JPasswordField`
`JPasswordField` is a lightweight component that allows the editing of a single line of text where the view indicates something was typed, but does not show the original characters.
Constructors in javax.swing with parameters of type JTextField
Modifier
Constructor
Description
``
`DefaultCellEditor​(JTextField textField)`
Constructs a `DefaultCellEditor` that uses a text field.

## Uses of JTextField in javax.swing.plaf.basic

Fields in javax.swing.plaf.basic declared as JTextField
Modifier and Type
Field
Description
`protected JTextField`
BasicComboBoxEditor.`editor`
An instance of `JTextField`.
Methods in javax.swing.plaf.basic that return JTextField
Modifier and Type
Method
Description
`protected JTextField`
BasicComboBoxEditor.`createEditorComponent()`
Creates the internal editor component.

## Uses of JTextField in javax.swing.tree

Subclasses of JTextField in javax.swing.tree
Modifier and Type
Class
Description
`class`
`DefaultTreeCellEditor.DefaultTextField`
`TextField` used when no editor is supplied.